/* BLOCK: Partners */
.block-partners .wrap {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    gap: 7.75rem;
}

.block-partners .tabs-wrapper {
    max-width: 24.6875rem;
    width: 100%;

    display: flex;
    flex-direction: column;
    gap: 1.25rem;
    flex: 1 1 24.6875rem;
}

.block-partners .tab-content:not(.active) {
    display: none !important;
}

.block-partners .tab-btn {
    border-radius: 1.125rem;
    padding: 0.6875rem;
    border: 1px solid var(--c-primary);
    background-color: transparent;

    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: flex-start;
    gap: 1.25rem;
}

.block-partners .tab-btn h6 {
    color: var(--c-primary);
    text-align: left;
}

.block-partners .tab-btn img {
    width: 3.75rem;
    height: 3.75rem;
    border-radius: 0.5rem;
    border: 1px solid rgb(from var(--c-text-dark) r g b / .2);
}

.block-partners .tab-btn.active img {
    border-color: transparent;
}

.block-partners .tab-btn.active h6 {
    color: var(--c-text-light);
}

.block-partners .tab-btn.active {
    background-color: var(--c-primary);
}

.block-partners .content-wrapper {
    flex: 1;
}

.block-partners .content-wrapper p.h7 {
    color: var(--c-tertiary);
}

.block-partners .content-wrapper h4 {
    margin-bottom: 3.125rem;
}

.block-partners .content-wrapper .cta-buttons:not(:first-child) {
    margin-top: 3.125rem;
}

.block-partners .content-wrapper img {
    border-radius: 1.5625rem;
    aspect-ratio: 1.76;
    width: 100%;
    height: auto;
    object-fit: cover;
}

.block-partners .content-wrapper img:not(:first-child) {
    margin-top: 4.6875rem;
}

.block-partners .tabs-wrapper .label {
    display: flex;
}

.block-partners .tabs-wrapper .label .text-small,
.block-partners .tab-btn .icon-chevron,
.block-partners .tab-btn .icon-checkmark {
    display: none;
}

@media screen and (width <= 920px) {
    .block-partners .tabs-wrapper {
        max-width: 18.75rem;
        flex: 1 1 18.75rem;
    }
}

@media screen and (width <= 620px) {
    .block-partners .selected-tab {
        border-radius: 1.125rem;
        border: 1px solid var(--c-primary);
        background-color: var(--c-primary);
        display: flex;
        flex-wrap: nowrap;
        align-items: center;
        justify-content: flex-start;
        gap: 0.9375rem;
        padding: 0.5rem;

        width: 100%;
        position: relative;
        margin-bottom: 3.125rem;
    }

    .block-partners .selected-tab img {
        width: 3.75rem;
        height: 3.75rem;
        border-radius: 0.5rem;
        border: 1px solid rgb(from var(--c-text-dark) r g b / .2);
    }

    .block-partners .selected-tab img {
        border-color: transparent;
    }

    .block-partners .selected-tab .label {
        flex-direction: column;
        gap: 0.625rem;
        align-items: flex-start;
    }

    .block-partners .selected-tab .label span {
        color: var(--c-tertiary);
    }
    
    .block-partners .selected-tab h6 {
        color: var(--c-text-light);
        text-align: left;
    }

    .block-partners .selected-tab .label {
        display: flex;
        flex-direction: column;
        gap: 0.625rem;
        align-items: flex-start;
    }

    .block-partners .selected-tab .icon-checkmark {
        display: none;
    }

    .block-partners .selected-tab svg.icon-chevron {
        position: absolute;
        top: 50%;
        right: 1.5625rem;
        color: var(--c-text-light);
        width: 0.75rem;
        height: auto;
        transform: translateY(-50%);
        transition: transform 300ms ease-out;
    }

    .block-partners .tab-btn.active {
        background-color: transparent;
    }

    .block-partners .wrap {
        display: block;
    }

    .block-partners .tab-btn.active h6 {
        color: var(--c-primary);
    }

    .block-partners .tab-btn.active {
        position: relative;
    }

    .block-partners .tab-btn.active svg.icon-checkmark {
        position: absolute;
        top: 50%;
        right: 1.125rem;
        color: var(--c-primary);
        width: 0.75rem;
        height: auto;
        display: flex;
        transform: translateY(-50%);
    }

    .block-partners .tab-btn.active img {
        border: 1px solid var(--c-primary);
    }

    .block-partners .tabs-wrapper {
        max-width: calc(100% - 2 * var(--offset, 0px));
        width: 100%;
        display: flex;
        flex-direction: column;
        gap: 0.625rem;
        align-items: stretch;

        background-color: var(--c-text-light);
        border-radius: 0.875rem;
        padding: 0.6875rem 0;
        margin-top: -2.5rem;
        position: absolute;
    }

    .block-partners .tabs-wrapper:not(.active):not(:focus-within) {
        display: none !important;
    }

    .block-partners .selected-tab:focus-within svg.icon-chevron,
    .block-partners .selected-tab:focus svg.icon-chevron {
        transform: translateY(-50%) rotate(180deg);
    }

    .block-partners .tab-btn {
        max-width: 100%;
        flex: 1 1 100%;
        border: none;
        border-radius: 0;
        padding: 0;
        margin-inline: 0.5rem;
    }
}
